import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/kragovic/dcc6c0be223ddca326b569dc5fd625fb/raw/d090d61ad894583c15fcfca44d17d1896bb3fa44/monthly_publications.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.Covid = +d.Covid;
      d.Other = +d.Other;
      d.Month = new Date(d.Month + 2020)
      return d;
    };
    csv(csvUrl, row).then((data) =>
      setData(data)
    );
  }, []);
  console.log(data)
  return data;
};